<?php


return  
    [
        'model' => [
            'model' => \Restaurant\Instagram\Models\InstagramCampaign::class,
            'repository' => \Restaurant\Instagram\Repositories\Eloquent\InstagramCampaignRepository::class,
            'table' => 'instagram_campaigns',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'restaurant_id',  'campaign_id',  'template_id',  'post_to',  'post_content',  'post_response',  'user_id',  'user_type',  'created_at',  'deleted_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'instagram/instagram_campaign',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            
        ],

        'form' => [
            
        ],

        'urls' => [
            'new' => [
                'url' => 'instagram/instagram_campaign/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'instagram/instagram_campaign/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'instagram/instagram_campaign',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'instagram/instagram_campaign',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'instagram/instagram_campaign',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'instagram/instagram_campaign',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'instagram::instagram_campaign.label.created_at',
            'name' => 'instagram::instagram_campaign.label.name',
            'status' => 'instagram::instagram_campaign.label.status',
        ],
        'groups' => [
            'main' => 'instagram::instagram_campaign.groups.main',
            'details' => 'instagram::instagram_campaign.groups.details',
            'images' => 'instagram::instagram_campaign.groups.images',
            'settings' => 'instagram::instagram_campaign.groups.settings',
        ],
        'controller' => [
            'provider' => 'Restaurant',
            'package' => 'Instagram',
            'module' => 'InstagramCampaign',
        ],
    ];
