<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateInstagramCampaignsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: instagram_campaigns
         */
        Schema::create('instagram_campaigns', function ($table) {
            $table->increments('id');
            $table->integer('restaurant_id')->nullable();
            $table->integer('campaign_id')->nullable();
            $table->integer('template_id')->nullable();
            $table->string('post_to', 50)->nullable();
            $table->text('post_content')->nullable();
            $table->text('post_response')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('instagram_campaigns');
    }
}
