<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for instagram_campaign in instagram package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  instagram_campaign module in instagram package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'InstagramCampaign',
    'names' => 'InstagramCampaigns',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'InstagramCampaigns',
        'sub' => 'InstagramCampaigns'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => '',
        'restaurant_id'              => '',
        'campaign_id'                => '',
        'template_id'                => '',
        'post_to'                    => '',
        'post_content'               => '',
        'post_response'              => '',
        'user_id'                    => '',
        'user_type'                  => '',
        'created_at'                 => '',
        'deleted_at'                 => '',
        'updated_at'                 => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => '',
        'restaurant_id'              => '',
        'campaign_id'                => '',
        'template_id'                => '',
        'post_to'                    => '',
        'post_content'               => '',
        'post_response'              => '',
        'user_id'                    => '',
        'user_type'                  => '',
        'created_at'                 => '',
        'deleted_at'                 => '',
        'updated_at'                 => '',
    ],
];
