<?php

namespace Restaurant\Instagram\Forms;

use Litepie\Form\FormInterpreter;

class InstagramCampaign extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = config('restaurant.instagram.instagram_campaign.urls');

        self::$search = config('restaurant.instagram.instagram_campaign.search');

        self::$orderBy = config('restaurant.instagram.instagram_campaign.order');

        self::$groups =  config('restaurant.instagram.instagram_campaign.groups');

        self::$list =  config('restaurant.instagram.instagram_campaign.list');

        self::$fields = config('restaurant.instagram.instagram_campaign.form');

        return new static();
    }
}
